welcome: please sign in

Upload page content

You can upload content for the page named below. If you change the page name, you can also upload content for another page. If the page name is empty, we derive the page name from the file name.

File to load page content from
Page name
Comment
What program is the main source of Conkeror's design philosophy?

location: MultipleXULRunners

Having multiple versions of XULRunner installed on one machine is simpler than you might imagine. If for whatever reason, you want to run Conkeror with a particular XULRunner version, you can be up and running in minutes.

For XULRunner versions 5 and above

  1. Install your desired version of XULRunner and simply issue the command:
     [xulrunner-program] [/path/to/conkeror/application.ini]

    For example, on Debian with Conkeror version Debian-0.9.3+git110719-1 and xulrunner-7.0a2 installed from the Mozilla repositories at http://mozilla.debian.net/, the following command line was successful:

     xulrunner-7.0 /usr/share/conkeror/application.ini
  2. You can then make sure that your Conkeror is using the desired version of XULRunner by checking the value of M-x version in Conkeror.

  3. Optionally, create a convenience shell script for yourself, such as ~/bin/conkeror7, to start conkeror with the desired XULRunner version.

For older versions of XULRunner

  1. download a binary archive of the XULRunner version you want, for your platform.
  2. extract it to a directory somewhere.
  3. enter that directory in a terminal.
  4. issue the command:
    ./xulrunner --register-user
  5. there will now be an entry in the directory /etc/gre.d/ for the new XULRunner version.

  6. change to your conkeror directory. It is preferable to use Conkeror from git for this part, as not all OS-specific packages will come with the requisite scripts.
  7. issue the following command to ensure that Conkeror will be able to find the version of XULRunner that you just registered.
    ./contrib/list-xulrunner-versions
  8. take note of the exact version string of the XULRunner version you want to use. You will use this string in place of the ### marker in the following command.

    CONKEROR_XULRUNNER_VERSION=### ./contrib/run-conkeror
  9. if all goes well, Conkeror starts, and you can verify that it used the version of XULRunner which you intended by doing M-x version.